using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Arrays
{
    class Program
    {
        static void Main(string[] args)
        {
            Examples1_5.CreateAndUseArray();
            Console.WriteLine(Examples1_5.GetCopyrightForType("foo"));
            Examples1_5.ModifyingImmutableArrayElements();
            Examples6_10.LaboriousArrayInitialization();
            Examples6_10.ArrayInitializer();
            Examples6_10.ShorterArrayInitializer();
            Examples6_10.ArrayInitializerWithInference();
            Examples6_10.ArrayArgument();
            Examples11_13.VariableArgumentsForWriteLine();
            Examples11_13.ExplicitArguments();
            Examples14_15.SearchWithIndexOf();
            Console.WriteLine(Examples14_15.GetIndexOfFirstNonEmptyBin(new[] { 0, 0, 1, 4, 0, 12, 2, 0, 1 }));
            Console.WriteLine(Examples16_18.GetIndexOfFirstNonEmptyBin(new[] { 0, 0, 1, 4, 0, 12, 2, 0, 1 }));
            Examples16_18.RunPerfComparison();
            Examples19_21.CreateJaggedArray();
            Examples19_21.CreateRectangularArray();
            Examples19_21.CreateCuboidArray();
        }
    }
}
